Page MenuHomePhabricator

Fix issues with Gulp 4 migration
Closed, ResolvedPublic

Description

Recently brought to my attention by @jeena there were a few bugs introduced into the wikimedia portals build-step during the migration to Gulp 4.

  • When running npm run build-all-portals, only the wikipedia.org folder is created.
    • The remaining portals are pulled in via raw curl commands, these should be run through Node using a library like Axios instead
  • After building as described above, in the prod directory, the wikipedia.org directory structure seems weird:
|- wikipedia.org /
    | - index.html
    | - assets /
        | - img /
        | - l10n /
    | - portal (not a symlink) /
        | - wikipedia.org /
            | - assets /
                | - js /

The desired output should be

|- wikipedia.org /
    | - index.html
    | - assets /
        | - img /
        | - l10n /
        | - js /
    | - portal (symlink to ..) /
    • Gulp 4 now includes a symlink method that can be used to construct this symlink properly.
  • The inlined CSS in the production HTML now includes comments which should be removed.
    • The "gulp-inline" plugin used to inline the css hasn't been updated since 2016, so it may have issues with Gulp 4

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedBawolff
ResolvedAnomie
ResolvedBawolff
ResolvedBawolff
ResolvedLegoktm
ResolvedLucas_Werkmeister_WMDE
ResolvedBawolff
Resolvedsbassett
Resolvedsbassett
ResolvedJdforrester-WMF
Resolvedsbassett
Resolvedsbassett
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
Resolvedhashar
Resolvedhashar
ResolvedJdforrester-WMF
Resolvedhashar
DeclinedMoritzMuehlenhoff
Invalidthcipriani
Resolvedmmodell
Resolvedhashar
ResolvedJoe
ResolvedJMeybohm
ResolvedJMeybohm
DuplicateDzahn
DeclinedDzahn
StalledJdforrester-WMF
ResolvedMoritzMuehlenhoff
ResolvedJdforrester-WMF
Resolvedthcipriani
OpenNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
OpenNone
Resolvedjeena
ResolvedJdrewniak

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2020, 3:47 PM

Change 580988 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Fix symlink & CSS inlining issues with Gulp 4

https://gerrit.wikimedia.org/r/580988

Change 580988 merged by jenkins-bot:
[wikimedia/portals@master] Fix symlink & CSS inlining issues with Gulp 4

https://gerrit.wikimedia.org/r/580988

Change 585466 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Reove usage of curl for fetching sister-project portals

https://gerrit.wikimedia.org/r/585466

Change 585466 merged by jenkins-bot:
[wikimedia/portals@master] Remove usage of curl for fetching sister-project portals

https://gerrit.wikimedia.org/r/585466

Jdforrester-WMF updated the task description. (Show Details)

Done?

Jdrewniak closed this task as Resolved.Apr 8 2020, 6:01 PM

I deployed the portals with the fixes on Monday April 6th, and it looks like it works! 👍

Release-Engineering-Team, hello! I see that this task has been listed in today's scrum of scrums again but it also has been considered resolved for a week. I am hoping that I didn't accidentally copy over the status from last week's update! @thcipriani, should this task be reopened?

Release-Engineering-Team, hello! I see that this task has been listed in today's scrum of scrums again but it also has been considered resolved for a week. I am hoping that I didn't accidentally copy over the status from last week's update! @thcipriani, should this task be reopened?

I think this bit is done but work continues in T213806? @jeena is the expert though.

jeena added a comment.Apr 15 2020, 6:37 PM

Hi @Niedzielski, I think we can consider it resolved, sorry about the confusion! I'll open a new task in the future if needed.

Very good, @jeena, and thank you @Jdforrester-WMF for linking us!